//   Copyright 2012 Georg-August-Universität Göttingen, Germany
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

package de.ugoe.cs.autoquest.tasktrees.temporalrelation;

/**
 * <p>
 * a temporal relationship rule is the main interface for all rules applied for
 * generating temporal relationships in a task tree. It is just a marker
 * interface. More important are the sub interfaces {@link ISessionScopeRule}
 * and {@link ITaskInstanceScopeRule}.
 * </p>
 * 
 * @author Patrick Harms
 */
interface ITemporalRelationshipRule {

}
